public static interface MockEndpointBuilderFactory.MockBuilders
| Modifier and Type | Method and Description |
|---|---|
default MockEndpointBuilderFactory.MockEndpointBuilder |
mock(String path)
Mock (camel-mock)
Test routes and mediation rules using mocks.
|
default MockEndpointBuilderFactory.MockEndpointBuilder |
mock(String componentName,
String path)
Mock (camel-mock)
Test routes and mediation rules using mocks.
|
default MockEndpointBuilderFactory.MockEndpointBuilder mock(String path)
mock:name
Path parameter: name (required)
Name of mock endpointpath - namedefault MockEndpointBuilderFactory.MockEndpointBuilder mock(String componentName, String path)
mock:name
Path parameter: name (required)
Name of mock endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel